# SIPRegister::Params Struct Reference

Registrar parameters. More...

`#include <sippdu.h>`

Inheritance diagram for SIPRegister::Params:

[legend]
Collaboration diagram for SIPRegister::Params:
[legend]

## Public Member Functions

| Params ()
| Params (const Params &param)

## Data Fields

PCaselessString & | m_registrarAddress
CompatibilityModes | m_compatibility
PGloballyUniqueID | m_instanceId

## Detailed Description

Registrar parameters.

## Constructor & Destructor Documentation

SIPRegister::Params::Params | ( |  | ) | `[inline]`

SIPRegister::Params::Params | ( | const Params & | param | ) | `[inline]`

## Field Documentation

CompatibilityModes SIPRegister::Params::m_compatibility

PGloballyUniqueID SIPRegister::Params::m_instanceId

PCaselessString& SIPRegister::Params::m_registrarAddress

The documentation for this struct was generated from the following file:

- sippdu.h